# Interface methods for submodule: TriangleMeshCurvatureCalculator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: TriangleMeshCurvatureCalculator
class TriangleMeshCurvatureCalculatorProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetCurvatureType(self, _arg) -> None:
		""""""
		...

	def GetCurvatureType(self):
		""""""
		...

	def SetTriangleMesh(self, _arg) -> None:
		""""""
		...

	def GetGaussCurvatureData(self):
		""""""
		...

	def SetCurvatureTypeToGaussian(self) -> None:
		""""""
		...

	def Compute(self) -> None:
		""""""
		...

